<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__dma__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_dma_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__dma__t_1a435949478e9279c9270c62843a69070e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_dma_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="172" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="172" />
      </memberdef>
      <memberdef id="structcyhal__dma__t_1ab95c46736c4721480ddc4dded574b8f3" kind="variable" mutable="no" prot="public" static="no">
        <type>union cyhal_dma_t::@0</type>
        <definition>union cyhal_dma_t::@0  cyhal_dma_t::channel_config</definition>
        <argsstring />
        <name>channel_config</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="181" />
      </memberdef>
      <memberdef id="structcyhal__dma__t_1a47827b4c0b730eb66f36ac7916d459db" kind="variable" mutable="no" prot="public" static="no">
        <type>union cyhal_dma_t::@1</type>
        <definition>union cyhal_dma_t::@1  cyhal_dma_t::descriptor_config</definition>
        <argsstring />
        <name>descriptor_config</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="190" />
      </memberdef>
      <memberdef id="structcyhal__dma__t_1a863c863640536cf57231ce5819fd4707" kind="variable" mutable="no" prot="public" static="no">
        <type>union cyhal_dma_t::@2</type>
        <definition>union cyhal_dma_t::@2  cyhal_dma_t::descriptor</definition>
        <argsstring />
        <name>descriptor</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="199" />
      </memberdef>
      <memberdef id="structcyhal__dma__t_1ae05f049b8e40d8f1a111ec3328afc5a7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_dma_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="200" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="200" />
      </memberdef>
      <memberdef id="structcyhal__dma__t_1a9fb6d3fe2403deb665ce86e958fb956a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_dma_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="201" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="201" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DMA object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="40">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="39">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
      <node id="38">
        <label>cyhal_dma_t</label>
        <link refid="structcyhal__dma__t" />
        <childnode refid="39" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="40" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="205" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="170" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="170" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__dma__t_1a9fb6d3fe2403deb665ce86e958fb956a" virt="non-virtual"><scope>cyhal_dma_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__dma__t_1ab95c46736c4721480ddc4dded574b8f3" virt="non-virtual"><scope>cyhal_dma_t</scope><name>channel_config</name></member>
      <member prot="public" refid="structcyhal__dma__t_1a863c863640536cf57231ce5819fd4707" virt="non-virtual"><scope>cyhal_dma_t</scope><name>descriptor</name></member>
      <member prot="public" refid="structcyhal__dma__t_1a47827b4c0b730eb66f36ac7916d459db" virt="non-virtual"><scope>cyhal_dma_t</scope><name>descriptor_config</name></member>
      <member prot="public" refid="structcyhal__dma__t_1ae05f049b8e40d8f1a111ec3328afc5a7" virt="non-virtual"><scope>cyhal_dma_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__dma__t_1a435949478e9279c9270c62843a69070e" virt="non-virtual"><scope>cyhal_dma_t</scope><name>resource</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>